#39 incompatible with kernel 2.6.13

kernel
open
nobody
Bug (28)
5
2012-09-17
2005-10-01
John McNair
No

Apparently someone on the kernel development team
decide to purge some unnecessary functions in 2.6.13.
In particular the whole API centered around
class_simple is gone, including
class_simple_device_add(), class_simple_create(), etc.

To fix, I copied the ppp_generic.c from 2.6.5 to a new
2.6.13 directory. I made the edits to use the current API.

I then updated pre_build.sh to check the minor kernel
version number for 2.6 kernels. If the minor version
is less than 13, it uses the old ppp_generic.c. Else
it uses my modified version.

Someone who knows better might want to integrate the
real ppp_generic.c. For now this works, so I'm
uploading it in case someone else finds it useful.

Discussion